summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn (J5) Palmieri <johnp@redhat.com>2006-08-10 21:44:00 +0000
committerJohn (J5) Palmieri <johnp@redhat.com>2006-08-10 21:44:00 +0000
commit47ec532cf258ad5bc53aaa1e433aa302d75a18ac (patch)
treee61aeb1cb18120568b119e18b2853edfb2faeb18
parent9ee32abe4879a52638f9908b71ea96e6b1a7449e (diff)
* tools/run-with-tmp-session-bus.sh:
* test/name-test/run-test.sh: Remove bashisms (patch from Julio M. Merino Vidal <jmmv at NetBSD dot org>)
-rw-r--r--ChangeLog7
-rwxr-xr-xtest/name-test/run-test.sh4
-rwxr-xr-xtools/run-with-tmp-session-bus.sh4
3 files changed, 11 insertions, 4 deletions
diff --git a/ChangeLog b/ChangeLog
index e41b8c86..9c157a9b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,12 @@
2006-08-10 John (J5) Palmieri <johnp@redhat.com>
+ * tools/run-with-tmp-session-bus.sh:
+ * test/name-test/run-test.sh:
+ Remove bashisms (patch from Julio M. Merino Vidal
+ <jmmv at NetBSD dot org>)
+
+2006-08-10 John (J5) Palmieri <johnp@redhat.com>
+
* configure.in: add a version (>= 2.6.0) check for libxml2
2006-08-10 John (J5) Palmieri <johnp@redhat.com>
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
index 706d5950..6c612499 100755
--- a/test/name-test/run-test.sh
+++ b/test/name-test/run-test.sh
@@ -1,6 +1,6 @@
-#! /bin/bash
+#! /bin/sh
-function die()
+ie()
{
if ! test -z "$DBUS_SESSION_BUS_PID" ; then
echo "killing message bus "$DBUS_SESSION_BUS_PID >&2
diff --git a/tools/run-with-tmp-session-bus.sh b/tools/run-with-tmp-session-bus.sh
index 07cbb501..880924b7 100755
--- a/tools/run-with-tmp-session-bus.sh
+++ b/tools/run-with-tmp-session-bus.sh
@@ -4,7 +4,7 @@ SCRIPTNAME=$0
WRAPPED_SCRIPT=$1
shift
-function die()
+die()
{
if ! test -z "$DBUS_SESSION_BUS_PID" ; then
echo "killing message bus "$DBUS_SESSION_BUS_PID >&2
@@ -19,7 +19,7 @@ if test -z "$DBUS_TOP_BUILDDIR" ; then
fi
## convenient to be able to ctrl+C without leaking the message bus process
-trap 'die "Received SIGINT"' SIGINT
+trap 'die "Received SIGINT"' INT
CONFIG_FILE=./run-with-tmp-session-bus.conf
SERVICE_DIR="$DBUS_TOP_BUILDDIR/test/data/valid-service-files"